using System;

namespace _4_
{
    class Program
    {
        static void Main(string[] args)
        {
            char []s = Console.ReadLine().ToCharArray();
            string s2 = Console.ReadLine();
            int k = 0;
            int l=0;
            int j = 0;
            int br = 0;
            int m = s2.Length;
            int n = s.Length;
            int pr = 0;
            for (int i = 0; i < n; i++)
            {
                if (m == 1)
                {
                    if (s[i] == s2[0])
                    {
                        s[i] = '*';
                        l++;
                    }
                }
                else
                {
                    if (i == s.Length - 1)
                    {
                        if (s[i] != s[i - 1])
                        {
                            br = i;

                            if (j >= s2.Length) j = 0;

                            if (s[i] == s2[j++])
                            {
                                k++;
                                pr++;
                            }
                            else
                            {
                                k = 0; pr++;
                            }
                        }
                    }
                    else if (i > 0)
                    {
                        if (s[i] != s[i - 1])
                        {
                            if (s[i] != s[i + 1] && s[i] != s[i - 1]) br = i;

                            if (j >= s2.Length) j = 0;

                            if (s[i] == s2[j++])
                            {
                                k++;
                                pr++;
                            }
                            else
                            {
                                pr++;
                                k = 0;
                            }
                        }
                    }
                    else if (i == 0)
                    {
                        if (s[i] != s[i + 1]) br = i;

                        if (j >= s2.Length) j = 0;

                        if (s[i] == s2[j++])
                        {
                            k++;
                            pr++;
                        }
                        else
                        {
                            k = 0;
                            pr++;
                        }
                    }

                   

                    if (k == m)
                    {
                        s[br] = '*';
                        l++;
                        k = 0;
                        pr = 0;
                    }
                }
                
            }
            Console.WriteLine(l);
            foreach (char x in s)
            {
                Console.Write(x);
            }
        }
    }
}